
%define oname	xvba-video

Summary:        VA API driver for proprietary fglrx driver
Name:		vaapi-driver-fglrx
Version:	0.8.0
Release:	%mkrel 1
Group:		Video
License:	GPLv2+
URL:		http://www.splitted-desktop.com/~gbeauchesne/xvba-video/
Source0:	http://www.splitted-desktop.com/~gbeauchesne/xvba-video/%{oname}-%{version}.tar.gz
# for convenience:
Provides:	%{oname}
ExclusiveArch:	%ix86 x86_64
BuildRequires:	xvba-devel
BuildRequires:	GL-devel
BuildRequires:	libva-devel

%description
XvBA driver backend for VA API, a video acceleration API.

This is the backend for use with the proprietary fglrx display driver
for ATI cards.

%prep
%setup -q -n %oname-%version

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/dri/*.la

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README COPYING
%{_libdir}/dri/*_drv_video.so




%changelog

* Tue Mar 06 2012 anssi <anssi> 0.8.0-1.mga2
+ Revision: 219524
- new version 0.8.0
- build from source, update license tag

* Sat May 07 2011 anssi <anssi> 0.7.8-2.mga1
+ Revision: 95758
- adapt for changed libva drivers location

* Fri May 06 2011 mikala <mikala> 0.7.8-1.mga1
+ Revision: 95566
- Update tarball to 0.7.8
- imported package vaapi-driver-fglrx


* Wed Nov 17 2010 Anssi Hannula <anssi@mandriva.org> 0.7.6-1mdv2011.0
+ Revision: 598480
- new version
- switch to unified tarball

* Thu Aug 12 2010 Anssi Hannula <anssi@mandriva.org> 0.7.3-1mdv2011.0
+ Revision: 569198
- new version

* Tue Jul 13 2010 Anssi Hannula <anssi@mandriva.org> 0.7.2-1mdv2011.0
+ Revision: 552934
- new version

* Tue Jul 13 2010 Anssi Hannula <anssi@mandriva.org> 0.7.1-1mdv2011.0
+ Revision: 551414
- initial Mandriva release

